> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get an attested app's certificate > Get certificate for the app, only if the compute node and app has been attested. ## OpenAPI ````json GET /v1/apps/{app-id}/node/{node-id}/certificate { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/apps/{app-id}/node/{node-id}/certificate": { "get": { "tags": [ "App" ], "summary": "Get an attested app's certificate.", "description": "Get certificate for the app, only if the compute node and app has been attested.", "operationId": "getAppCertificate", "parameters": [ { "$ref": "#/components/parameters/NodeId" }, { "$ref": "#/components/parameters/AppId" } ], "responses": { "200": { "description": "App certificate.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Certificate" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Reader,Writer,Manager,ActiveAccount" } } }, "components": { "parameters": { "NodeId": { "name": "node-id", "in": "path", "description": "UUID of a compute node.", "required": true, "schema": { "type": "string", "format": "uuid" } }, "AppId": { "name": "app-id", "in": "path", "description": "UUID of an app.", "required": true, "schema": { "type": "string", "format": "uuid" } } }, "schemas": { "Certificate": { "type": "object", "properties": { "certificate_id": { "type": "string", "description": "Certificate ID.", "format": "uuid" }, "status": { "$ref": "#/components/schemas/CertificateStatusType" }, "csr": { "type": "string", "description": "The certificate signing request." }, "certificate": { "type": "string", "description": "The certificate itself, if issued." }, "node_id": { "type": "string", "description": "The node relevant to this certificate, if known.", "format": "uuid" }, "app_id": { "type": "string", "description": "The app relevant to this certificate, if known.", "format": "uuid" }, "build_id": { "type": "string", "description": "The build relevant to this certificate, if known.", "format": "uuid" } }, "description": "A certificate request or issued certificate." }, "CertificateStatusType": { "enum": [ "PENDING", "REJECTED", "ISSUED", "REVOKED", "EXPIRED" ], "type": "string", "description": "Certificate status." } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````